cancel
Showing results for 
Search instead for 
Did you mean: 
frankepost
Level 7

The connection to the Foundstone API service could not be made.

After Foundstone manager 6.8 finished Foundstone update , I could not connect to web console.

The error message: The connection to the Foundstone API service could not be made.

I checked log file, found error: could not find stored procedure 'fsVersion_select'. DB Error: Cannot read Foundstone Database version.

Can anybody have the idea to resolve this issue?

0 Kudos
3 Replies
jhaynes
Level 12

Re: The connection to the Foundstone API service could not be made.

Was the database upgraded to 6.8? You can look at the versions table to confirm that. If not run the 6.8 installer on the database to upgrade it to 6.8.

Jeff Haynes

0 Kudos
baltoro
Level 7

Re: The connection to the Foundstone API service could not be made.

I actually get this after a fresh install of McAfee Vulnerability Manager 7_R2.  Very strange.

Foundstone API Error.png

Message was edited by: baltoro on 9/30/11 3:47:16 PM CDT
0 Kudos
dmease729
Level 11

Re: The connection to the Foundstone API service could not be made.

Hi Baltaro,

Although yours is a fresh install, I have found 3 times that when I upgrade from 6.8 to 7.0 the API service and Database service do not start after the first server reboot.  Could you confirm the status of both of these is the FCM console?  (located in all programs -> foundstone)?  If they are not started, start the API service, then the Database service and try again.  Let me know if that helps. 

Frankepost - sorry, no ideas at present, at first sign looks like DB corruption as part of the upgrade - have you got this running on a server with any AV?  If so, has the AV been configured with the required exceptions on the server running the DB?

Cheers,

0 Kudos